[ANN] Ruby-GetText-Package-1.5.0


#1

Hi,

Ruby-GetText-Package-1.5.0 is now available.

Russian is added. Now it supports 11 languages
and the screenshot is available.
http://www.yotabanana.com/hiki/?ruby-gettext-screenshot

Have fun!

Changes

  • Support Russian.
  • Fix bugs.
  • Refresh mo option was added.
    Check mo files and reload it if it’s updated.
    ruby -d or GetText::TextDomain.check_mo=(true).
    Or development mode in Ruby on Rails.

Thanks to:
arton, Karel M., Masayoshi T., Yuri Kozlov
and others.

Website

http://rubyforge.org/projects/gettext/

ScreenShots

Screenshots in 11 language (Sample Rails blog) are:
http://www.yotabanana.com/hiki/?ruby-gettext-screenshot

What’s this?

Ruby-GetText-Package is a Localization(L10n) Library and Tools which is
modeled after GNU gettext package.

The library converts the messages to localized messages properly using
client-side locale information. And the tools for developers support
to create, use, and modify localized the message files(message catalogs)
easily.

Features:

  • Simple APIs(similar GNU gettext)
  • rgettext command for creating po-files from files below:
    o ruby scripts
    o glade-2 XML file(.glade)
    o ERB file(.rhtml)
    o ActiveRecord (.rb)
  • rmsgfmt command for creating a mo-file from a po-file.
  • The po-file is compatible to GNU gettext.
    You can maintain these files to use GNU getext tools.
  • The mo-file is compatible to GNU gettext(msgfmt).
  • multi-textdomain supported.
    You can select two kind of textdomain’s scope:
    o A file base (default: recommanded)
    o A Class/Module base (GetText::Container, GetText::ErbContainer,
    GetText::Rails)
  • CGI support (gettext/cgi)
  • ERB support (gettext/erb)
  • Ruby on Rails support (gettext/rails)

Status of translations

Czech(cs) - 1.5.0
Dutch(nl) - 1.5.0
English(default) - 1.5.0
French(fr) - 1.5.0
German(de) - 1.5.0
Greek(el) - 1.5.0
Spanish(es) - 1.5.0
Italian(it) - 1.0.0 (old)
Japanese(ja) - 1.5.0
Korean(ko) - 1.5.0
Portuguese(Brazil)(pt_BR) - 1.5.0
Russian(ru) - 1.5.0
Swedish(sv) - 0.8.0 (old)

Can you help us?/ Can we help you?

Join our ML if you are interested in:

  • Improve Ruby-GetText-Package.
  • Translators.
  • Application/library owners who think to make your apps/libs L10n.
    If you send us your po-files, we’ll translate it!

    At least, a Japanese translator is available ;).

ML:
http://rubyforge.org/mail/?group_id=855

Regards,